import javax.swing.JOptionPane; // giriş çıkı

class H3AL7_2000
{

// faktoriyel metodunun for döngüsüyle yazılmış hali
public static long faktoriyel(int x)
{
long faktoriyel=1;
for(int sayi=1;sayi<=x;sayi++)
{ faktoriyel*=sayi;}
return faktoriyel;
}

public static void main(String[] args)
{
int sayi;
sayi=Integer.parseInt(JOptionPane.showInputDialog
("Bir tam sayı giriniz : "));
H3AL5a y=new H3AL5a();
JOptionPane.showMessageDialog(null,""+sayi+"! = "+faktoriyel(sayi),
"faktoriyel statik metodu",JOptionPane.PLAIN_MESSAGE);
 System.exit(0);
}

}

